export type LogFoundEvent<T> = {
  name: string;
  address: string;
  chainId: number;
  txHash: string;
  blockHeight: bigint;
  blockTime: number;
  attributes: T;
};

export type LogMessagePublished = {
  sequence: number;
  sender: string;
  nonce: number;
  payload: string;
  consistencyLevel: number;
};

export type TransferRedeemed = {
  emitterChainId: number;
  emitterAddress: string;
  sequence: number;
};

export type TransactionFoundEvent<T> = {
  name: string;
  address: string;
  txHash: string;
  blockHeight: bigint;
  chainId: number;
  blockTime?: number;
  attributes: T;
};

export type EvmTransactionFound = {
  name?: string;
  from: string;
  to: string;
  status?: string;
  blockNumber: bigint;
  input: string;
  methodsByAddress?: string;
  timestamp: number;
  blockHash: string;
  gas: string;
  gasPrice: string;
  maxFeePerGas: string;
  maxPriorityFeePerGas: string;
  nonce: string;
  r: string;
  s: string;
  transactionIndex: string;
  type: string;
  v: string;
  value: string;
};

export type SolanaTransactionFound = {
  name?: string;
  method?: string;
  status: string;
};
